package com.gic.cloud.data.hook.service;

import cn.medubi.client.utils.LogPak;
import com.ctrip.framework.apollo.Config;
import com.ctrip.framework.apollo.ConfigService;
import com.gic.cloud.data.hook.api.dto.DownloadRecord;
import com.gic.cloud.data.hook.service.impl.FlatQueryResultServiceImpl;

import java.net.InetAddress;
import java.util.ArrayList;
import java.util.List;

public class DataInitUtils {
    private static LogPak log = new LogPak(DataInitUtils.class);

    public static List<DownloadRecord> listByHost(List<DownloadRecord> allList){
        List<DownloadRecord> list = new ArrayList<>();
        Config config = ConfigService.getConfig("application");
        String customRouterHost = config.getProperty("customRouterHost", "");
        String customRouterEnterpriseId = config.getProperty("customRouterEnterpriseId", "");
        String host = getHost();
        log.debug("查询本机的内网ip", host);
        for(DownloadRecord downloadRecord : allList){
            if(host.equals(customRouterHost)){
                if(customRouterEnterpriseId.equals(downloadRecord.getEnterpriseId())){
                    list.add(downloadRecord);
                }
            } else {
                if(!customRouterEnterpriseId.equals(downloadRecord.getEnterpriseId())){
                    list.add(downloadRecord);
                }
            }
        }
        return list;
    }

    private static String getHost(){
        try{
            String hostAddress = InetAddress.getLocalHost().getHostAddress();
            return hostAddress;
        }catch (Exception e){
            e.printStackTrace();
        }
        return "";
    }

    public static void main(String[] args){
        System.out.println("getHost() = " + getHost());
    }

}
